### Signal

# GtkSource Buffer::source-mark-updated

#### Declaration

    void
    source_mark_updated (
      GtkSourceBuffer* self,
      GtkTextMark* mark,
      gpointer user_data
    )

#### Description [src]

The ::source-mark-updated signal is emitted each time a mark is added to, moved or removed from the `buffer`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`mark`

  Type: `GtkTextMark`

  The `GtkSourceMark`.

  The data is owned by the caller of the function.